---
title: LE GARAGE NUMERIQUE
subtitle: 
comments: false
description: la partie "technique" de mon travail
---


### ![L'ASSOC](https://readme-typing-svg.demolab.com?font=Anton&pause=3000&size=40&random=false&repeat=false&color=343A40&width=435&height=70&lines=L'ASSOCIATION)

[![GN](../../images/formation/garagenum.png)](https://www.legaragenumerique.fr)

L'association Le Garage Numérique prône la culture du logiciel libre. Linux Debian est l'OS de prédilection.

Nous avons pour but de former la population à l'utilisation de logiciels libres pour que celle-ci s'approprie les outils plutôt que de payer de grands éditeurs pour pouvoir travailler ou faire ses démarches administratives.

Au Garage Numérique, on répare, on reconditionne et on forme les habitants aux outils libres pour une égalité numérique!

[![GN](../../images/logos/linux-logo.png)](https://fr.wikipedia.org/wiki/Linux) [![GN](../../images/logos/debian-logo.png)](https://fr.wikipedia.org/wiki/Debian)

### ![TRAVAIL](https://readme-typing-svg.demolab.com?font=Anton&pause=3000&size=40&random=false&repeat=false&color=343A40&width=435&height=70&lines=MON+TRAVAIL)

![GN](../../images/logos/devops-logo.png)

##### ![ROLES](https://readme-typing-svg.demolab.com?font=Anton&pause=3000&size=40&random=false&repeat=false&color=343A40&width=435&height=70&lines=MES+RÔLES)

Voici mes principaux rôles au Garage Numérique:

* Je suis formateur Devops au [CNAM](https://www.cnam.fr) pour des étudiants BAC +1 ainsi que pour les élèves su Pass numérique pro. Cela me permet de rester en perpétuelle veille technologique afin de transmetre les dernières technos utilisées.

* Je suis également Administrateur système, en charge de maintenir les serveurs du Garage opérationnels, à jour et sécurisés. La mise en place d'un monitoring automatisé autour de [Prometheus](https://prometheus.io/) ainsi que d'un système de BACKUP régulières permettant de récupérer rapidement en cas d'incident sur un serveur. 

* Je développe également des applications pour la Garage et les intègre dans notre [ecosystème](https://git.legaragenumerique.fr/GARAGENUM/ecosysteme) afin de proposer toujours plus de services utiles à la communauté.

##### ![PROJETS](https://readme-typing-svg.demolab.com?font=Anton&pause=3000&size=40&random=false&repeat=false&color=343A40&width=435&height=70&lines=LES+PROJETS)

- Le framework python Django m'a permis de développer une application de quiz avec connection centralisée (SSO) vers le gestionnaire d'identité du Garage: Keycloak.  

[![DJANGO](../../images/logos/django.png)](https://www.djangoproject.com/)

[![KEYCLOAK](../../images/logos/keycloak.png)](https://www.keycloak.org/)

> {{< icons "fab fa-github" "fa-2x" >}} [code source](https://git.legaragenumerique.fr/GARAGENUM/django-quiz/src/branch/keycloak)

___

<br><br>

- A la manière de [OVERTHEWIRE](https://overthewire.org/wargames/bandit/), nous avons créé un "bash game" pour faire découvrir aux étudiants les commandes terminal Linux via un jeux:

[![BASH](../../images/projets/bash-game.png)](https://devops.legaragenumerique.fr/)

Pour déployer l'application sur les serveurs du Garage, nous avons choisi de "conteneuriser" celle-ci afin d'optimiser et de sécuriser notre serveur via l'outil [Docker](https://www.docker.com/).

> {{< icons "fab fa-github" "fa-2x" >}} [code source](https://git.legaragenumerique.fr/GARAGENUM/enter-bash)

___

<br><br>

- Nous avons également déployer un méta-verse permettant aux étudiants de se retrouver d'une manière ludique pour travailler:

[![WA](../../images/projets/wa.png)](https://workadventu.re/)

Développé par [The Coding Machine](https://thecodingmachine.com/)

> {{< icons "fab fa-github" "fa-2x" >}} [code source](https://github.com/workadventure/workadventure)

___

<br><br>

- Afin d'assurer "l'indépendance de notre code", nous hébergeons un SCM ([Gitea](https://about.gitea.com/)) ainsi qu'une plateforme de CI/CD via [Drone CI](https://www.drone.io/):

[![GITEA](../../images/projets/gitea.png)](https://git.legaragenumerique.fr)

 
{{< icons "fab fa-github" "fa-2x" >}} [code source](https://git.legaragenumerique.fr/GARAGENUM/gitea-drone-ci)


___

<br><br>


- A l'heure de l'intelligence artificielle, le Garage à déployé son propre [LLM](https://fr.wikipedia.org/wiki/Grand_mod%C3%A8le_de_langage) open source permettant d'intéragir avec une "intelligence artificielle".

[![WA](../../images/projets/garage-ai.png)](https://ai.legaragenumerique.xyz)

Les modèles déployés sont:
- [ChatGPT 3.5](https://huggingface.co/openai-community/openai-gpt) Modèle de language conversationnel
- [Stable diffusion](https://huggingface.co/runwayml/stable-diffusion-v1-5) Modèle de générateur d'images

> {{< icons "fab fa-github" "fa-2x" >}} [code source](https://git.legaragenumerique.fr/GARAGENUM/garage-AI)

___

<br><br>


- Un Curiculum Vitae via le framework [HUGO](https://gohugo.io/): 

[![HUGO-CV](https://github.com/ineesalmeida/almeida-cv/blob/master/images/screenshot-full.png?raw=true)](https://cv.gregandev.fr/)

> {{< icons "fab fa-github" "fa-2x" >}} [code source](https://git.gregandev.fr/gregandev/hugo-cv)

___
<br><br>


- Dans le cadre du CNAM, nous avon développé un exemple d'API simple en Python Flask ainsi que son client Android en python via les modules Kivy et Buildozer: 

[![PYTHON](../../images/projets/python-api.png)](https://git.legaragenumerique.fr/GARAGENUM/python-api)

> {{< icons "fab fa-github" "fa-2x" >}} [code source API](https://git.legaragenumerique.fr/GARAGENUM/python-api)

> {{< icons "fab fa-github" "fa-2x" >}} [code source client Android](https://git.legaragenumerique.fr/GARAGENUM/python-kivy)

___
<br><br>


- Nous avons constitué une documentation avec [MKdocs](https://www.mkdocs.org/) au fil du temps archivant nos process et beaucoup de connaissances utiles dans l'informatique, mise à jour régulièrement via un [Drone CI] auto-hébergé: 

[![DOC](../../images/logos/mkdocs.png)](https://docs.legaragenumerique.xyz)

> {{< icons "fab fa-github" "fa-2x" "https://git.legaragenumerique.fr/GARAGENUM/docs" >}} [code source](https://git.legaragenumerique.fr/GARAGENUM/docs)

___

<br><br>

Pour plus de projets open source maintenus par le Garage: [Garagenum code](https://git.legaragenumerique.fr/GARAGENUM)
