# Hugo Silhouette Theme

A responsive blog theme for [Hugo](https://gohugo.io), created by [Matt Button](https://www.mattbutton.com).

Based on [Bootstrap 4.1](https://getbootstrap.com/).

### Home Page

![screenshot](https://raw.githubusercontent.com/mattbutton/silhouette-hugo/master/github-content/screenshot-home.jpg)

### Post without a feature image

![screenshot](https://raw.githubusercontent.com/mattbutton/silhouette-hugo/master/github-content/screenshot-post-nobanner.jpg)

### Post with a feature image

![screenshot](https://raw.githubusercontent.com/mattbutton/silhouette-hugo/master/github-content/screenshot-post-banner.png)

### Footer

![screenshot](https://raw.githubusercontent.com/mattbutton/silhouette-hugo/master/github-content/screenshot-post-footer.png)

## About the theme

Hi I'm [Matt Button](https://www.mattbutton.com), the creator of the Hugo Silhoutte theme.

I've been a fan of [Hugo](https://gohugo.io) for many years.

Back in 2016, inspired by the theme on [Troy Hunt's blog](https://www.troyhunt.com/), I hacked together a custom Hugo theme for [my personal blog](https://www.mattbutton.com) using Bootstrap 3.

In 2018 I rebuilt the theme using [Bootstrap 4.1](https://getbootstrap.com/), and decided to share it with the Hugo community under the name "Silhouette Hugo".

The silhouette image is taken from [this photo](https://unsplash.com/photos/85J99sGggnw) by Karl Magnuson.

## Quickstart

Create a new Hugo site by typing

```
hugo new site <SITENAME>
```

Then clone this repository:

```
cd <SITENAME>/themes
git clone https://github.com/mattbutton/silhouette-hugo.git
```

Add the theme to your site's config file:

```
cd ..
echo 'theme = "silhouette-hugo"' >> config.toml
```

If you want some starter content, you can copy some from the `exampleSite` folder:

```
cp -r themes/silhouette-hugo/exampleSite/* .
```

Then start up the site via:

```
hugo serve -D
```

## License

This theme is provided under the [MIT License](https://github.com/mattbutton/silhouette-hugo/blob/master/LICENSE).

If you use this theme, please provide attribution.




